## org.eclipse.ocl.utilities
Interface ExpressionInOCL<C,PM>

All Superinterfaces:
  EObject, Notifier, Visitable

All Known Subinterfaces:
  ExpressionInOCL, ExpressionInOCL

All Known Implementing Classes:
  ExpressionInOCLImpl, ExpressionInOCLImpl

    public interface ExpressionInOCL<C,PM>

extends Visitable

A representation of the model object 'Expression In OCL'.

The following features are supported:

- `Body Expression`
- `Context Variable`
- `Result Variable`
- `Parameter Variable`

See Also:
  `UtilitiesPackage.getExpressionInOCL()`

Method Summary
`OCLExpression<C>` `getBodyExpression()` Returns the value of the 'Body Expression' containment reference
`Variable<C,PM>` `getContextVariable()` Returns the value of the 'Context Variable' containment reference
`EList<Variable<C,PM>>` `getParameterVariable()` Returns the value of the 'Parameter Variable' containment reference list.
`Variable<C,PM>` `getResultVariable()` Returns the value of the 'Result Variable' containment reference
`void` `setBodyExpression(OCLExpression<C> value)` Sets the value of the '`Body Expression`' containment reference
`void` `setContextVariable(Variable<C,PM> value)` Sets the value of the '`Context Variable`' containment reference
`void` `setResultVariable(Variable<C,PM> value)` Sets the value of the '`Result Variable`' containment reference

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBodyExpression

    OCLExpression<C> getBodyExpression()

  Returns the value of the 'Body Expression' containment reference.

  If the meaning of the 'Body Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body Expression' containment reference.
  See Also:
    `setBodyExpression(OCLExpression)`, `UtilitiesPackage.getExpressionInOCL_BodyExpression()`

### setBodyExpression

    void setBodyExpression(OCLExpression<C> value)

  Sets the value of the '`Body Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Body Expression' containment reference.
  See Also:
    `getBodyExpression()`

### getContextVariable

    Variable<C,PM> getContextVariable()

  Returns the value of the 'Context Variable' containment reference.

  If the meaning of the 'Context Variable' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context Variable' containment reference.
  See Also:
    `setContextVariable(Variable)`, `UtilitiesPackage.getExpressionInOCL_ContextVariable()`

### setContextVariable

    void setContextVariable(Variable<C,PM> value)

  Sets the value of the '`Context Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Context Variable' containment reference.
  See Also:
    `getContextVariable()`

### getResultVariable

    Variable<C,PM> getResultVariable()

  Returns the value of the 'Result Variable' containment reference.

  If the meaning of the 'Result Variable' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Variable' containment reference.
  See Also:
    `setResultVariable(Variable)`, `UtilitiesPackage.getExpressionInOCL_ResultVariable()`

### setResultVariable

    void setResultVariable(Variable<C,PM> value)

  Sets the value of the '`Result Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Result Variable' containment reference.
  See Also:
    `getResultVariable()`

### getParameterVariable

    EList<Variable<C,PM>> getParameterVariable()

  Returns the value of the 'Parameter Variable' containment reference list. The list contents are of type `Variable`<C, PM>.

  If the meaning of the 'Parameter Variable' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter Variable' containment reference list.
  See Also:
    `UtilitiesPackage.getExpressionInOCL_ParameterVariable()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.